#!/bin/sh

GENIUS_USER_WORKDIR=/home/larocca/.genius
#Define The PatSearch's lo file.
log_file=${GENIUS_USER_WORKDIR}/.patsearch_logfile
echo "Start collecting at.. `date`" > ${log_file}
echo "---------------------------------------------------" >> ${log_file}

#Create the final computation dir to collect all the output data.
out_dir=larocca_patsearch_merlino

echo "A) Creation of the final computation dir.." >> ${log_file}
final_computation_dir=${out_dir}/final_computation
mkdir -p ${final_computation_dir}

echo "					" >> ${log_file}
echo "B) Inspecting the content of each directory.." >> ${log_file}

count=0
for i in `ls ${out_dir} | grep -v final`
do
	echo "				" >> ${log_file}
	echo "Content of ${i}'s directory" >> ${log_file}	
	echo `ls ${out_dir}/${i}/PRI.rna.gbff.out 2>&1>/dev/null`>> ${log_file}
	if [ -e  ${out_dir}/${i}/PRI.rna.gbff.out ] ; then
		echo `ls ${out_dir}/${i}/PRI.rna.gbff.out`>> ${log_file}
		echo "-------appending data to final-data.out" >> ${log_file}
	
		#A) Merge all the files.
		#`cat ${out_dir}/${i}/PRI* >> ${final_computation_dir}/final-data.out`
	
		#B) Skip out the header and footer of the data and blank character.	
		`cat ${out_dir}/${i}/PRI* | grep -v "^ *$" | grep -v PatSearch | grep -v = | grep -v - | grep -v COMMAND | grep -v Match | grep -v Sequences | grep -v p1 | grep -v p2 | grep -v p3>> ${final_computation_dir}/final-data.out`		
	else
		echo "-------Error during the creation of the output file" >> ${log_file}
	fi	
	let "count=${count} + 1"	
done
echo "					" >> ${log_file}
echo "Finish collecting at.. `date`" >> ${log_file}
echo "Have a nice day! :-)" >> ${log_file}
