#!/bin/sh
#####################################################################
# ShellScript   : startXclock.sh (Bourne Shell)                     #
# Author        : Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)   #
# Organization  : INFN - Via S. Sofia, 64 - 95123 Catania - ITALY   #
# Phone         : (+39) 095.378.55.03                               #
# Last Update   : December 23, 2005                                 #
#####################################################################
#
# Export DISPLAY environment to a remote machine.
#
export DISPLAY=193.206.208.68:0.0
#
echo "Welcome! This is a simple interactive job."
echo "Do you want to visualize the clock (y/n) ? [Y]:"
read ANS
     case ${ANS} in
         Y|y)
	      #Launch the xclock to remote DISPLAY.
              /usr/bin/X11/xclock ;;
         *) 
	     echo "Have a nice day!" ;;
     esac

echo "That's all folks!!"
