void convert(const char *filename = "root-ntupla.dat")
#void convert(const char *filename)
{
	// oggetto ROOT per il salvataggio dati
	// struttura argomenti:
	// 1 = nome di riferimento nella lista oggetti del file ROOT
	// 2 = commento
	// 3 = lista variabili (separate dai due punti)
	TNtupleD *ntp = new TNtupleD("ntp", "conversion  from text file", "c1:c2:c3:c4:c5:c6");
	
	// apertura file di testo in lettura (ios::in)
	fstream txtfile(filename, ios::in);
	
	// lettura delle righe di testo (in questo caso 6 numeri)
	Double_t X[6];
	while (!txtfile.eof()) {
		txtfile >> X[0] >> X[1] >> X[2] >> X[3] >> X[4] >> X[5];
		ntp->Fill(X[0], X[1], X[2], X[3], X[4], X[5]);
	}
	
	// apertura di un file di ROOT il cui nome sara' lo stesso dell'argomento inserito
	// piu' l'estensione ".root"
	// e scrittura dell'oggetto TNtupleD con i dati, sul file.
	TFile *rootfile = new TFile(Form("%s.root", filename), "RECREATE");
	ntp->Write();
	rootfile->Close();
}
