#!/bin/bash
#
#-----------------------------------------------------------------------------------
date
ls -la
if [ ! -s start_csound.sh ]; then
  echo;
  echo " -----> missing file: start_csound.sh"; 
  exit 3;
fi
if [ ! -s csound.orc ]; then
  echo;
  echo " -----> missing file: csound.orc";
  exit 3;
fi
if [ ! -s csound.sco ]; then
  echo;
  echo " -----> missing file: csound.sco";
  exit 3;
fi

#---------------------------------------------------------------------------------------
#
# create environment for Csound
# 
# Execute Csound
#
csound -o csound.aiff -A csound.orc csound.sco
#
date
echo
echo " - check if all output files are there and not empty......."
#---------------------------------------------------------------------------------------------------
echo
ls -la
if [ ! -s csound.aiff ]; then
  echo;
  echo " ===> Missing output file :  csound.aiff     "; 
  exit 2;
fi
#
rm -f *.sco
rm -f *.orc

