#!/bin/bash
#
export LCG_CATALOG_TYPE=lfc
/bin/hostname -f

#################################################################################################
if [ ${LCG_CATALOG_TYPE} = "lfc" ] ; then
	echo "Using LFC Catalog type."
	lcg-cp --vo gilda lfn:/grid/gilda/PATSEARCH/PRI.rna.gbff_1 file://`pwd`/PRI.rna.gbff_test
	lcg-cp --vo gilda lfn:/grid/gilda/PATSEARCH/PatSearch file://`pwd`/PatSearch
fi

if [ ${LCG_CATALOG_TYPE} = "edg" ] ; then
	echo "Using EDG Catalog type."
	lcg-cp --vo gilda lfn:/grid/gilda/PatSearch/PRI.rna.gbff_1 file://`pwd`/PRI.rna.gbff_test
	lcg-cp --vo gilda lfn:/grid/gilda/PatSearch/PatSearch file://`pwd`/PatSearch
fi	
#################################################################################################

chmod a+x PatSearch
./PatSearch -INPUT=PRI.rna.gbff_test -OUTPUT=PRI.rna.gbff.out -COMMAND=pattern.txt -INIT=parameters.txt
