#!/bin/bash 
# 
#---------------------------------------------------------------------------------- 
date 
ls -la 
if [ ! -s start_csound_hw1.sh ]; then 
  echo; 
  echo " -----> missing file: start_csound_hw1.sh";  
  exit 3; 
fi 
if [ ! -s hw1.orc ]; then 
  echo; 
  echo " -----> missing file: hw1.orc"; 
  exit 3; 
fi 
if [ ! -s hw1.sco ]; then 
  echo; 
  echo " -----> missing file: hw1.sco"; 
  exit 3; 
fi 
 
#--------------------------------------------------------------------------------------- 
# 
# create environment for Csound 
#  
# Execute Csound 
# 
csound -o csound_hw1.aiff -A hw1.orc hw1.sco 
# 
date 
echo 
echo " - check if all output files are there and not empty......." 
#--------------------------------------------------------------------------------------------------- 
echo 
ls -la 
if [ ! -s csound_hw1.aiff ]; then 
  echo; 
  echo " ===> Missing output file :  csound_hw1.aiff     ";  
  exit 2; 
fi 
# 
rm -f *.sco 
rm -f *.orc 
