#/bin/bash
#
#############################################################
# Author:  Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)  #
#		-----------------------------		    #
#  Istituto Nazionale di Fisica Nucleare - Sez. di CATANIA  #
#		Via Santa Sofia,64 - 95123 ITALY	    #
#		-----------------------------		    #
#	+39.095.378.54.46 	+39.095.378.54.69	    #
#############################################################
FILE2COMPILE=qtcrt.f90
OBJECT2COMPILE=`echo "$FILE2COMPILE" | awk -F'.' '{print $1}'`

#Setting the right permission for the execution of the file.
chmod 777 start_qtcrt.sh

#Compilation the file $FILE2COMPILE using the g95 Fortran Compiler..
/usr/bin/g95 -o "$OBJECT2COMPILE" "$FILE2COMPILE"
#Setting the right permission for the file.
chmod 777 "$OBJECT2COMPILE"
./qtcrt
